API: Open Chat Studio v1 Description: Build, deploy and monitor chatbots. TAG: Channels Description: Trigger bot messages or deliver messages directly to users on a channel. ENDPOINTS: POST /api/trigger_bot Summary: Trigger the bot to send a message to the user, or deliver a message directly Description: Trigger the bot to send a message to the user, or deliver a message directly. Provide either ``prompt_text`` (routes through the LLM/bot pipeline) or ``message_text`` (sends the exact text to the participant without any LLM processing). Exactly one is required. Request Body: Content: application/json Schema: TriggerBotMessageRequest Responses: 200: Content: application/json Schema: TriggerBotMessageResponse 400: Content: application/json Schema: Unknown 404: Content: application/json Schema: Unknown Security: OAuth2 - Required scopes: chatbots:interact apiKeyAuth tokenAuth POST /channels/api/{experiment_id}/incoming_message Summary: New API Message Parameters: - experiment_id (path, string (required)): Experiment ID Request Body: Content: application/json Schema: ApiMessage Responses: 200: Content: application/json Schema: ApiResponseMessage Security: OAuth2 - Required scopes: chatbots:interact apiKeyAuth tokenAuth POST /channels/api/{experiment_id}/v{version}/incoming_message Summary: New API Message Versioned Parameters: - experiment_id (path, string (required)): Experiment ID - version (path, integer (required)): No description - version (query, string (optional)): Version of experiment Request Body: Content: application/json Schema: ApiMessage Responses: 200: Content: application/json Schema: ApiResponseMessage Security: OAuth2 - Required scopes: chatbots:interact apiKeyAuth tokenAuth SCHEMAS: ApiMessage: - message: string (required) - session: string ApiResponseAttachment: - file_name: string (required) - link: string (required) ApiResponseMessage: - response: string (required) - attachments: array of ApiResponseAttachment (required) TriggerBotMessageRequest: - identifier: string (required) - platform: Unknown (required) - experiment: string (required) - prompt_text: string - message_text: string - start_new_session: boolean - session_data: object - participant_data: object TriggerBotMessageResponse: - session_id: string (required) - url: string (required) - team: Unknown (required) - channel: string (required) SECURITY: - OAuth2 - Authorization Code Flow (authorization url: /o/authorize/, token url: /o/token/) - API Key authentication (header: X-api-key) - API Key authentication (cookie: sessionid) - API Key authentication (header: X-Embed-Key) - HTTP bearer authentication